﻿using FarPoint.Win.Spread;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace AnimateCellType
{
  public partial class Form1 : Form
  {
    public Form1()
    {
      InitializeComponent();
    }

    private void Form1_Load(object sender, EventArgs e)
    {
      fpSpread1.ActiveSheet.RowCount = 8;
      fpSpread1.ActiveSheet.ColumnCount = 8;

      for (int r = 2; r < 6; r++)
      {
        fpSpread1.ActiveSheet.SetRowHeight(r, 60);
        for (int c = 2; c < 6; c++)
        {
          fpSpread1.ActiveSheet.SetColumnWidth(c, 60);
          AnimateCellType ct = new AnimateCellType(fpSpread1.ActiveSheet, r, c);
          fpSpread1.ActiveSheet.Cells[r, c].CellType = ct;
          fpSpread1.ActiveSheet.Cells[r, c].Value = Image.FromFile("GifImage\\" + (r - 2).ToString() + (c - 2).ToString() + ".gif");
          fpSpread1.ActiveSheet.Cells[r, c].HorizontalAlignment = CellHorizontalAlignment.Center;
          fpSpread1.ActiveSheet.Cells[r, c].VerticalAlignment = CellVerticalAlignment.Center;
        }
      }
    }
  }
}
